Package org.eclipse.net4j.util.concurrent

# Class NonBlockingIntCounter

java.lang.Object
org.eclipse.net4j.util.concurrent.NonBlockingIntCounter

public final class NonBlockingIntCounter extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`NonBlockingIntCounter()`
`NonBlockingIntCounter(int initialValue)`

## Method Summary

Modifier and Type
Method
Description
`int`
`decrement()`
`int`
`getValue()`
`int`
`increment()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NonBlockingIntCounter

public NonBlockingIntCounter()

### NonBlockingIntCounter

public NonBlockingIntCounter(int initialValue)

## Method Details

### getValue

public int getValue()

### increment

public int increment()

### decrement

public int decrement()

Since:
  3.0

### toString

public String toString()

Overrides:
  `toString` in class `Object`